Index: cprs/trunk/CPRS-Chart/Templates/fTemplateFieldEditor.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Templates/fTemplateFieldEditor.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/Templates/fTemplateFieldEditor.dfm	(revision 829)
@@ -1,16 +1,9 @@
-object frmTemplateFieldEditor: TfrmTemplateFieldEditor
+inherited frmTemplateFieldEditor: TfrmTemplateFieldEditor
   Left = 294
   Top = 211
-  Width = 640
-  Height = 447
   BorderIcons = [biSystemMenu, biMaximize]
   Caption = 'Template Field Editor'
-  Color = clBtnFace
-  Font.Charset = DEFAULT_CHARSET
-  Font.Color = clWindowText
-  Font.Height = -11
-  Font.Name = 'MS Sans Serif'
-  Font.Style = []
-  OldCreateOrder = False
+  ClientHeight = 420
+  ClientWidth = 788
   Position = poScreenCenter
   OnCloseQuery = FormCloseQuery
@@ -18,23 +11,24 @@
   OnDestroy = FormDestroy
   OnResize = FormResize
+  ExplicitWidth = 796
+  ExplicitHeight = 454
   PixelsPerInch = 96
   TextHeight = 13
-  object splLeft: TSplitter
-    Left = 273
+  object splLeft: TSplitter [0]
+    Left = 429
     Top = 25
-    Width = 3
     Height = 366
-    Cursor = crHSplit
     Beveled = True
+    ExplicitLeft = 273
   end
-  object pnlBottom: TPanel
+  object pnlBottom: TPanel [1]
     Left = 0
     Top = 391
-    Width = 632
+    Width = 788
     Height = 29
     Align = alBottom
     TabOrder = 2
     DesignSize = (
-      632
+      788
       29)
     object lblReq: TStaticText
@@ -47,5 +41,5 @@
     end
     object btnOK: TButton
-      Left = 392
+      Left = 548
       Top = 4
       Width = 75
@@ -58,5 +52,5 @@
     end
     object btnCancel: TButton
-      Left = 472
+      Left = 628
       Top = 4
       Width = 75
@@ -70,5 +64,5 @@
     end
     object btnApply: TButton
-      Left = 552
+      Left = 708
       Top = 4
       Width = 75
@@ -80,5 +74,5 @@
     end
     object btnPreview: TButton
-      Left = 279
+      Left = 435
       Top = 4
       Width = 75
@@ -102,8 +96,8 @@
     end
   end
-  object pnlObjs: TPanel
+  object pnlObjs: TPanel [2]
     Left = 0
     Top = 25
-    Width = 273
+    Width = 429
     Height = 366
     Align = alLeft
@@ -114,13 +108,14 @@
       Left = 1
       Top = 1
-      Width = 271
+      Width = 427
       Height = 13
       Align = alTop
       Caption = 'Template Fields'
+      ExplicitWidth = 74
     end
     object cbxObjs: TORComboBox
       Left = 1
       Top = 14
-      Width = 271
+      Width = 427
       Height = 351
       Style = orcsSimple
@@ -141,5 +136,5 @@
       Sorted = False
       SynonymChars = '<Inactive>'
-      TabPositions = '34,45,55,65,75'
+      TabPositions = '50,60,70,80,90'
       TabOrder = 0
       OnChange = cbxObjsChange
@@ -147,8 +142,9 @@
       OnNeedData = cbxObjsNeedData
       OnSynonymCheck = cbxObjsSynonymCheck
+      CharsNeedMatch = 1
     end
   end
-  object pnlRight: TPanel
-    Left = 276
+  object pnlRight: TPanel [3]
+    Left = 432
     Top = 25
     Width = 356
@@ -182,4 +178,5 @@
         Align = alTop
         Caption = 'Notes:'
+        ExplicitWidth = 31
       end
       object reNotes: TRichEdit
@@ -370,4 +367,5 @@
         TabOrder = 1
         OnChange = cbxTypeChange
+        CharsNeedMatch = 1
       end
       object edtTextLen: TCaptionEdit
@@ -389,9 +387,6 @@
         Anchors = [akTop, akRight]
         Associate = edtTextLen
-        Min = 0
         Max = 240
-        Position = 0
         TabOrder = 5
-        Wrap = False
       end
       object pnlSwap: TPanel
@@ -408,4 +403,5 @@
           Width = 300
           Height = 22
+          Align = alTop
           Font.Charset = ANSI_CHARSET
           Font.Color = clWindowText
@@ -420,5 +416,4 @@
           OnEnter = edtpopControlEnter
           OnExit = ControlExit
-          Align = alTop
           Caption = 'Default Value'
         end
@@ -460,8 +455,6 @@
             Min = -9999
             Max = 9999
-            Position = 0
             TabOrder = 1
             Thousands = False
-            Wrap = False
           end
           object edtDefNum: TCaptionEdit
@@ -483,8 +476,6 @@
             Min = -9999
             Max = 9999
-            Position = 0
             TabOrder = 3
             Thousands = False
-            Wrap = False
           end
           object edtMinVal: TCaptionEdit
@@ -508,5 +499,4 @@
             Position = 1
             TabOrder = 7
-            Wrap = False
           end
           object edtInc: TCaptionEdit
@@ -538,8 +528,6 @@
             Min = -9999
             Max = 9999
-            Position = 0
             TabOrder = 5
             Thousands = False
-            Wrap = False
           end
         end
@@ -549,4 +537,5 @@
           Width = 300
           Height = 22
+          Align = alTop
           Font.Charset = ANSI_CHARSET
           Font.Color = clWindowText
@@ -560,5 +549,4 @@
           OnChange = edtURLChange
           OnEnter = edtpopControlEnter
-          Align = alTop
           Caption = 'URL'
         end
@@ -615,4 +603,5 @@
           TabStop = True
           OnChange = cbxDefaultChange
+          CharsNeedMatch = 1
         end
         object pnlDate: TPanel
@@ -678,4 +667,5 @@
             TabOrder = 1
             OnChange = cbxDateTypeChange
+            CharsNeedMatch = 1
           end
         end
@@ -703,5 +693,4 @@
         Position = 1
         TabOrder = 3
-        Wrap = False
       end
       object gbIndent: TGroupBox
@@ -743,10 +732,7 @@
           Height = 21
           Associate = edtIndent
-          Min = 0
           Max = 30
-          Position = 0
           TabOrder = 1
           Thousands = False
-          Wrap = False
         end
         object udPad: TUpDown
@@ -756,10 +742,7 @@
           Height = 21
           Associate = edtPad
-          Min = 0
           Max = 30
-          Position = 0
           TabOrder = 2
           Thousands = False
-          Wrap = False
         end
         object edtPad: TCaptionEdit
@@ -823,8 +806,8 @@
     end
   end
-  object pnlTop: TPanel
+  object pnlTop: TPanel [4]
     Left = 0
     Top = 0
-    Width = 632
+    Width = 788
     Height = 25
     Align = alTop
@@ -832,10 +815,10 @@
     TabOrder = 3
     DesignSize = (
-      632
+      788
       25)
     object MenuBar1: TMenuBar
       Left = 0
       Top = 0
-      Width = 23
+      Width = 41
       Height = 25
       Align = alLeft
@@ -844,5 +827,4 @@
       ButtonWidth = 43
       Caption = 'MenuBar1'
-      Flat = True
       Menu = mnuMain
       ShowCaptions = True
@@ -850,5 +832,5 @@
     end
     object btnNew: TButton
-      Left = 557
+      Left = 711
       Top = 2
       Width = 75
@@ -860,5 +842,5 @@
     end
     object btnCopy: TButton
-      Left = 478
+      Left = 632
       Top = 2
       Width = 75
@@ -871,5 +853,5 @@
     end
     object btnDelete: TButton
-      Left = 399
+      Left = 553
       Top = 2
       Width = 75
@@ -881,4 +863,166 @@
       OnClick = mnuDeleteClick
     end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = pnlBottom'
+        'Status = stsDefault')
+      (
+        'Component = lblReq'
+        'Status = stsDefault')
+      (
+        'Component = btnOK'
+        'Status = stsDefault')
+      (
+        'Component = btnCancel'
+        'Status = stsDefault')
+      (
+        'Component = btnApply'
+        'Status = stsDefault')
+      (
+        'Component = btnPreview'
+        'Status = stsDefault')
+      (
+        'Component = cbHide'
+        'Status = stsDefault')
+      (
+        'Component = pnlObjs'
+        'Status = stsDefault')
+      (
+        'Component = cbxObjs'
+        'Status = stsDefault')
+      (
+        'Component = pnlRight'
+        'Status = stsDefault')
+      (
+        'Component = pnlPreview'
+        'Status = stsDefault')
+      (
+        'Component = reNotes'
+        'Status = stsDefault')
+      (
+        'Component = pnlObjInfo'
+        'Status = stsDefault')
+      (
+        'Component = edtName'
+        'Status = stsDefault')
+      (
+        'Component = edtLMText'
+        'Status = stsDefault')
+      (
+        'Component = cbxType'
+        'Status = stsDefault')
+      (
+        'Component = edtTextLen'
+        'Status = stsDefault')
+      (
+        'Component = udTextLen'
+        'Status = stsDefault')
+      (
+        'Component = pnlSwap'
+        'Status = stsDefault')
+      (
+        'Component = edtDefault'
+        'Status = stsDefault')
+      (
+        'Component = pnlNum'
+        'Status = stsDefault')
+      (
+        'Component = udDefNum'
+        'Status = stsDefault')
+      (
+        'Component = edtDefNum'
+        'Status = stsDefault')
+      (
+        'Component = udMinVal'
+        'Status = stsDefault')
+      (
+        'Component = edtMinVal'
+        'Status = stsDefault')
+      (
+        'Component = udInc'
+        'Status = stsDefault')
+      (
+        'Component = edtInc'
+        'Status = stsDefault')
+      (
+        'Component = edtMaxVal'
+        'Status = stsDefault')
+      (
+        'Component = udMaxVal'
+        'Status = stsDefault')
+      (
+        'Component = edtURL'
+        'Status = stsDefault')
+      (
+        'Component = reItems'
+        'Status = stsDefault')
+      (
+        'Component = cbxDefault'
+        'Status = stsDefault')
+      (
+        'Component = pnlDate'
+        'Status = stsDefault')
+      (
+        'Component = edtDateDef'
+        'Status = stsDefault')
+      (
+        'Component = cbxDateType'
+        'Status = stsDefault')
+      (
+        'Component = edtLen'
+        'Status = stsDefault')
+      (
+        'Component = udLen'
+        'Status = stsDefault')
+      (
+        'Component = gbIndent'
+        'Status = stsDefault')
+      (
+        'Component = edtIndent'
+        'Status = stsDefault')
+      (
+        'Component = udIndent'
+        'Status = stsDefault')
+      (
+        'Component = udPad'
+        'Status = stsDefault')
+      (
+        'Component = edtPad'
+        'Status = stsDefault')
+      (
+        'Component = gbMisc'
+        'Status = stsDefault')
+      (
+        'Component = cbActive'
+        'Status = stsDefault')
+      (
+        'Component = cbRequired'
+        'Status = stsDefault')
+      (
+        'Component = cbSepLines'
+        'Status = stsDefault')
+      (
+        'Component = cbExclude'
+        'Status = stsDefault')
+      (
+        'Component = pnlTop'
+        'Status = stsDefault')
+      (
+        'Component = MenuBar1'
+        'Status = stsDefault')
+      (
+        'Component = btnNew'
+        'Status = stsDefault')
+      (
+        'Component = btnCopy'
+        'Status = stsDefault')
+      (
+        'Component = btnDelete'
+        'Status = stsDefault')
+      (
+        'Component = frmTemplateFieldEditor'
+        'Status = stsDefault'))
   end
   object mnuMain: TMainMenu
